public SpectrumUIPlugIn() { Instance = this; UIContiner = new MRhinoUiDockBar( new Guid("{a7962cdf-651d-49f3-a6b3-dd14368d72fe}"), "Spectrum", new WinformSpectrumUI()); }
///<summary> /// Called after the plug-in is loaded and the constructor has been run. /// This is a good place to perform any significant initialization, /// license checking, and so on. This function must return 1 for /// the plug-in to continue to load. ///</summary> ///<returns> /// 1 = initialization succeeded, let the plug-in load /// 0 = unable to initialize, don't load plug-in and display an error dialog /// -1 = unable to initialize, don't load plug-in and do not display an error /// dialog. Note: OnUnloadPlugIn will not be called ///</returns> public override int OnLoadPlugIn() { m_control = new SampleCsObjectManagerControl(); m_dockbar = new RMA.UI.MRhinoUiDockBar(SampleCsObjectManagerDockBar.ID(), "Object Manager", m_control); RMA.UI.MRhinoDockBarManager.CreateRhinoDockBar(this, m_dockbar, false); return 1; }
///<summary> /// Called after the plug-in is loaded and the constructor has been run. /// This is a good place to perform any significant initialization, /// license checking, and so on. This function must return 1 for /// the plug-in to continue to load. ///</summary> ///<returns> /// 1 = initialization succeeded, let the plug-in load /// 0 = unable to initialize, don't load plug-in and display an error dialog /// -1 = unable to initialize, don't load plug-in and do not display an error /// dialog. Note: OnUnloadPlugIn will not be called ///</returns> public override int OnLoadPlugIn() { m_control = new SampleCsObjectManagerControl(); m_dockbar = new RMA.UI.MRhinoUiDockBar(SampleCsObjectManagerDockBar.ID(), "Object Manager", m_control); RMA.UI.MRhinoDockBarManager.CreateRhinoDockBar(this, m_dockbar, false); return(1); }
public MyRhino5rs11project8PlugIn() { Instance = this; UIContiner = new MRhinoUiDockBar(new Guid("{6A9552A6-B6AF-4795-A829-59C3AB49761E}"), "UIContainer", new My_Rhino_Usercontrol()); UIContiner_serialport = new MRhinoUiDockBar(new Guid("{D333EA5E-7BF0-4A68-9E57-9DA2755B1920}"), "UIContiner_serialport", new SerialPort_UserControl()); if_painted_object_set_ = false; my_objects_list = new List <Brep>(); }